LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 12-07-2012, 11:45 PM   #1
southpointingchariot
Member
 
Registered: Sep 2012
Posts: 31

Rep: Reputation: Disabled
Graphics Unusable with ATI Drivers on Ubuntu 12.10


I'm having graphics problems with a 1 day old install of 12.10 on a Sony Vaio VGN-FW139E with a ATI Mobility Radeon HD 3400.

I could not get my HDMI display to be recognized, so I tried installing the proprietary drivers through the Software Center.

When I rebooted however, the resolution had been send to 1024x768, the launcher cannot be seen or accessed, and terminals will not appear.

I can get to the system settings menu by right clicking the desktop, but cannot launch any other applications.
What can I do to resolve this?
 
Old 12-08-2012, 04:37 AM   #2
TobiSGD
Moderator
 
Registered: Dec 2009
Location: Hanover, Germany
Distribution: Gentoo
Posts: 15,403
Blog Entries: 2

Rep: Reputation: 3993Reputation: 3993Reputation: 3993Reputation: 3993Reputation: 3993Reputation: 3993Reputation: 3993Reputation: 3993Reputation: 3993Reputation: 3993Reputation: 3993
The HD3400 needs the Catalyst 12.6 Legacy drivers, which are not compatible with xserver 1.13 installed in Ubuntu 12.10, so you will not get it to work properly without serious changes in the underlying system. I would recommend to stick with 12.04 LTS, it is fully compatible with the Legacy drivers.

Last edited by TobiSGD; 12-08-2012 at 08:14 AM. Reason: fixed typos
 
Old 12-08-2012, 07:44 AM   #3
southpointingchariot
Member
 
Registered: Sep 2012
Posts: 31

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by TobiSGD View Post
The HD3400 needs the Catalyst 12.6 Legacy drivers, which are not compatible with xserver 1.1 nstalled in Ubuntu 12.10, so you will not get it to work properly without serious changes in the underlying system. I would recommend to stick with 12.04 LTS, it is fully compatible with the Legacy drivers.
Thanks for the info. I will reinstall.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
LXer: Script To Fix The Ubuntu Plymouth For Proprietary Nvidia And ATI Graphics Drivers LXer Syndicated Linux News 0 10-15-2010 03:50 PM
How to Install ATI 4850 graphics card drivers on Ubuntu 9.04? Panks103 Linux - Newbie 4 08-27-2009 11:56 AM
How do I get graphics drivers for ATI Radeon X1270 installed on Ubuntu 9.04 Desktop? AnarchNexuiz Ubuntu 13 07-05-2009 04:24 PM
LXer: Xi Graphics, Inc. Releases Graphics Drivers for ATI FireMV Cards LXer Syndicated Linux News 0 09-27-2006 09:54 PM
Ati Graphics Drivers FrostofSparta Slackware 4 12-08-2004 09:33 PM


All times are GMT -5. The time now is 02:59 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration